1. One Click Charges
Español
  • Español
  • English
  • Bienvenidos
  • Online Payments
    • Card
      • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Refund a transaction
      • Bin Info
      • Bin Info V2
    • Cash in
      • Overview
    • Chargebacks
      • Overview
      • Query chargebacks
      • Request chargeback export
    • Smartlinks
      • Overview
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Delete a Smartlink
      • Update a Smartlink
      • Create a Smartlink
    • Payment Button
      • Overview
      • Create a payment button
    • Payment Credentials
      • Overview
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
      • Search credentials
      • Delete credential
      • Create a credential
      • Advanced search
    • Gateway Status
      • Overview
      • Get gateway status
    • Analytics
      • Overview
      • Get transactions list v2
      • Get transactions list v1
    • Commissions
      • Commissions
      • Get Commission Configuration
    • One Click Charges
      • Request a recurring charge token
        POST
      • Create a recurring charge
        POST
      • Make an One-click payment
        POST
      • Cancel a recurring charge
        DELETE
      • Add a temporary charge or discount
        PUT
      • Get recurring charge Info
        GET
      • Update a recurring charge
        PATCH
      • Update recurring charge card data
        PUT
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
  • Transfer In
  • Schemas
    • threeDomainSecure
    • webhooks
    • currency
    • binInfo
    • SubscriptionUpdate
    • headers
    • SubscriptionAdjustmentRequest
    • Subscription
    • Metadata
    • Language
    • Deferred
    • ContactDetails
    • Amount
    • extraTaxes
    • documentType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. One Click Charges

Create a recurring charge

POST
/subscriptions/v1/card
Create a recurring charge with a token provided by Kushki which represents the customer's credit card.

Payment Execution#

Kushki processes recurring charges to the registered card automatically. Payments will be executed and repeated according to the amount and period indicated in the subscription.
The billing logic starts running every day from 6am GMT-5. Make sure that the subscription was created before this time if you want the first payment to be executed on the same day of registration. Alternatively, your customer can register his/her card some days in advance, before Kushki executes the first charge. When creating a subscription, you must indicate the start date startDate.

Retries#

If a payment is rejected, Kushki has a retry logic to try to recover the charge. By default, there are 3 retries for 3 days in a row from the payment day originally defined in startDate. For example, for a monthly subscription with start date: 10-01-2021, with a rejection on 10-02-2021, payment will be retried until 13-02-2021, 3 times each day, for a total of 9 payment attempts.
You can modify the retry days for a subscription and also define specific charging days.
If the last charge attempt was declined, we may send you a notification via WebHook informing you about it. In these cases, we recommend you to contact the card owner and offer him/her a set of alternatives for paying the fee that could not be charged; for example, changing the registered credit card and generating a charge on demand only for one time. Kushki will continue executing automatic charges over the following periods.
Customize retry logic#
You can customize the collection retry logic by submitting the retryConfiguration object as follows:
1.
retryType:"schedule". If you choose schedule, you can specify in the value field how often the collection will be reattempted.
{
   "retryConfiguration":{
      "retryType":"schedule",
      "value":[2]
   }
}
2.
retryType:"fixed". Send the specific days of the month to retry. Ex. 10th, 20th, 30th.
{
  "retryConfiguration":{
     "retryType":"fixed",
     "value":[10,20,30]
  }
}
Send the retryType as fixed if you do not want to retry collection for the entire month.
:::warning Important!
When customizing retries it should be noted that once the first collection is initiated, if it fails and retries are initiated, any updates to retries will be applied until the next subscription period (weekly, monthly, yearly).
:::

Periodicity#

You can choose the frequency of recurring charges by submitting any of these values in the required periodicity field:
daily: every 1 day.
weekly: every 7 days.
biweekly: every 15 days.
monthly: every 30 days.
threefortnights: every six weeks or 42 days.
bimonthly: every 60 days.
quarterly: every 90 days.
fourmonths: every 120 days.
halfyearly: every 180 days
yearly: every 360 days.
custom: for one click payments.

Do you have your own 3DS authentication engine?#

Product in beta version in Ecuador 🇪🇨 🔐👨‍💻
We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
Make sure you include the threeDomainSecure object in your request.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/subscriptions/v1/card' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "gV3ox6100000sAxClU033646vnnJsT83",
    "planName": "Premium",
    "periodicity": "monthly",
    "contactDetails": {
        "documentType": "CI",
        "documentNumber": "1716458334",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+593912345678"
    },
    "amount": {
        "subtotalIva": 1,
        "subtotalIva0": 0,
        "ice": 0,
        "iva": 0.14,
        "currency": "USD"
    },
    "startDate": "2022-05-25",
    "metadata": {
        "plan": {
            "fitness": {
                "cardio": "include",
                "rumba": "include",
                "pool": "include"
            }
        }
    }
}'
Response Response Example
201 - default
{
    "subscriptionId": "1601594972296000"
}
Modified at 2026-04-20 17:58:18
Previous
Request a recurring charge token
Next
Make an One-click payment
Built with